Package org.springframework.security.config.method

# Class MethodSecurityBeanDefinitionParser.MethodSecurityExpressionHandlerBean

java.lang.Object
org.springframework.security.config.method.MethodSecurityBeanDefinitionParser.MethodSecurityExpressionHandlerBean

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.FactoryBean<org.springframework.security.access.expression.method.MethodSecurityExpressionHandler>`, `org.springframework.context.ApplicationContextAware`

Enclosing class:
  MethodSecurityBeanDefinitionParser

public static final class MethodSecurityBeanDefinitionParser.MethodSecurityExpressionHandlerBean extends Object implements org.springframework.beans.factory.FactoryBean<org.springframework.security.access.expression.method.MethodSecurityExpressionHandler>, org.springframework.context.ApplicationContextAware

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`MethodSecurityExpressionHandlerBean()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.access.expression.method.MethodSecurityExpressionHandler`
`getObject()`
`Class<?>`
`getObjectType()`
`void`
`setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.beans.factory.FactoryBean

`isSingleton`

## Constructor Details

### MethodSecurityExpressionHandlerBean

public MethodSecurityExpressionHandlerBean()

## Method Details

### getObject

public org.springframework.security.access.expression.method.MethodSecurityExpressionHandler getObject()

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.security.access.expression.method.MethodSecurityExpressionHandler>`

### getObjectType

public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.security.access.expression.method.MethodSecurityExpressionHandler>`

### setApplicationContext

public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext) throws org.springframework.beans.BeansException

Specified by:
  `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
Throws:
  `org.springframework.beans.BeansException`